Bug 1414363 - Need to add an extra step for gluster_shared-storage to work after upgrade
Summary: Need to add an extra step for gluster_shared-storage to work after upgrade
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Installation_Guide
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Laura Bailey
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On:
Blocks: 1351553
TreeView+ depends on / blocked
 
Reported: 2017-01-18 10:43 UTC by Sweta Anandpara
Modified: 2017-03-24 01:09 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 01:09:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sweta Anandpara 2017-01-18 10:43:31 UTC
Document URL: 
=============
https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html/Installation_Guide/


Section Number and Name: 
========================
8.1. Updating Red Hat Gluster Storage from 3.0.x to 3.1.x in the Offline Mode
8.3. In-service Software Update from Red Hat Gluster Storage 3.y.z to Red Hat Gluster Storage 3.1.x

Describe the issue: 
===================
gluster_shared_storage volume (or in other words, meta volume) if configured, needs to be remounted explicitly after upgrade. Starting glusterd will not take care of this. IF there is a reboot involved, then we will not end up in this situation as an entry in /etc/fstab will take care of auto-mounting it. However, we do not recommend a reboot if there is no kernel update. Then we land up in a situation where gluster_shared_storage volume will not be mounted in its standard path, resulting in some features which use meta-volume (geo-rep, snapshot scheduler, nfs-ganesha) not working correctly.

Suggestions for improvement: 
============================
In section 8.1, after step8
AND
In section 8.3 after step10, 

Add an extra step mentioning:
"
IF there is no reboot involved, and if a meta-volume was configured before, then run the below command as is on ALL nodes of the cluster: 
mount /var/run/gluster/shared_storage/

IF the above command does not work, then something is wrong with the corresponding entry in /etc/fstab. Add the below line in /etc/fstab and run the command again.
echo "<hostname/IP>:/gluster_shared_storage /var/run/gluster/shared_storage/ glusterfs defaults        0 0" >> /etc/fstab
mount /var/run/gluster/shared_storage/
"

Comment 3 surabhi 2017-02-27 04:46:54 UTC
This is valid and needs to be added as mentioned in bug description.

Comment 4 Rahul Hinduja 2017-02-28 19:02:41 UTC
Hi Anjana, Laura, 

This bug needs to be targeted for 3.2.0 and not for 3.2.0_async. This require an additional step to remount via (mount -a) in upgrade section.

If we do not document this step, then there are high chances that customers from 3.1.3 to 3.2 will break if they dont upgrade the base kernel. We have been fortunate not to have a customer case around this so far mostly a reboot would have solved this. 

Please scope for 3.2.0. I will be ok to take this even post 3rd March.

Comment 7 Sweta Anandpara 2017-03-01 10:03:27 UTC
That is correct, Laura.

Comment 12 Sweta Anandpara 2017-03-08 05:25:51 UTC
Hi Laura, even though shared_storage and meta-volume mean the same and are used interchangeably, it would be necessary to stick to the word that gluster code understands . Thus, the command to be given instead of 

"mount metavolume" 

is

"mount /var/run/gluster/shared_storage/"

If the above command doesn't work, follow the steps below:.

Step1: fix the corresponding entry in /etc/fstab
        "<Local Hostname/IP>:/gluster_shared_storage /var/run/gluster/shared_storage/ glusterfs defaults 0 0"
Step2: Execute the mount command
        "mount /var/run/gluster/shared_storage/"

Comment 14 Sweta Anandpara 2017-03-08 06:02:51 UTC
Reviewed the changes. Moving this BZ to verified in 3.2

Comment 15 Laura Bailey 2017-03-24 01:09:52 UTC
Moving to CLOSED CURRENTRELEASE since RHGS 3.2 GA was yesterday. All documentation is available from https://access.redhat.com/documentation/en/red-hat-gluster-storage/.


Note You need to log in before you can comment on or make changes to this bug.